Remote Desktop Connection Manager

Remote Desktop Connection Manager (RD Connection Manager) enables you to configure and manage resources that are available to users through RemoteApp and Desktop Connection. These resources include RemoteApp programs and virtual desktops. Virtual desktops include virtual machines in virtual desktop pools and personal virtual desktops.

For an introduction to RemoteApp and Desktop Connection, see Overview of RemoteApp and Desktop Connection.

For more information about RemoteApp and Desktop Connection, see the Remote Desktop Services page on the Windows Server 2008 R2 TechCenter (http://go.microsoft.com/fwlink/?LinkId=143108).

The following topics are covered:

  • Overview of RemoteApp and Desktop Connection

  • Checklist: Configuring RemoteApp and Desktop Connection

  • Configuring an Environment to Support RemoteApp and Desktop Connection

  • Configuring RemoteApp and Desktop Connection

  • Accessing RemoteApp and Desktop Connection


Overview of RemoteApp and Desktop Connection

RemoteApp and Desktop Connection allows administrators to provide a set of resources, such as RemoteApp programs and virtual desktops, to their users. Users can connect to RemoteApp and Desktop Connection in two ways:

  • From a computer that is running Windows 7. In this case, resources that are part of RemoteApp and Desktop Connection, when set up, appear in the Start menu under All Programs in a folder called RemoteApp and Desktop Connections.

  • From a Web browser by signing in to the Web site provided by Remote Desktop Web Access (RD Web Access). In this case, a computer that is running Windows 7 is not required.

An administrator can provide the following types of resources in RemoteApp and Desktop Connection:

  • RemoteApp programs hosted on a Remote Desktop Session Host (RD Session Host) server. The RemoteApp programs can also be hosted on a farm of RD Session Host servers or multiple farms of RD Session Host servers.

  • A personal virtual desktop, which is a virtual machine that is hosted on a Remote Desktop Virtualization Host (RD Virtualization Host) server and has been assigned to a specific user in Active Directory Domain Services. For more information, see About Personal Virtual Desktops.

  • A virtual desktop pool, which is a group of identically configured virtual machines that are not specifically assigned to a given user. For more information, see About Virtual Desktop Pools.

To organize these resources and make them available to users through RemoteApp and Desktop Connection, the administrator uses the Remote Desktop Connection Manager tool, which is available on a Remote Desktop Connection Broker (RD Connection Broker) server. For more information about configuring RemoteApp and Desktop Connection, see Checklist: Configuring RemoteApp and Desktop Connection.

RemoteApp and Desktop Connection can be used from managed computers (that is, computers that are members of an Active Directory domain) or from unmanaged computers. This gives users the ability to use RemoteApp and Desktop Connection both at work and from home.

From Control Panel on a computer that is running Windows 7, a user can set up, update, and remove RemoteApp and Desktop Connection. If a user has set up RemoteApp and Desktop Connection on a computer that is running Windows 7, resources that are part of RemoteApp and Desktop Connection appear in the Start menu under All Programs in a folder called RemoteApp and Desktop Connections. This allows the user to use RemoteApp and Desktop Connection in a manner similar to running any locally installed program. RemoteApp and Desktop Connection is updated automatically, so if an administrator adds a resource to or removes a resource from RemoteApp and Desktop Connection, RemoteApp and Desktop Connection is automatically updated on the user’s computer.

If your user does not have a computer that is running Windows 7, the user can still access RemoteApp and Desktop Connection from a Web browser by signing in to the Web site provided by RD Web Access.

For more information about RemoteApp and Desktop Connection, see the Remote Desktop Services page on the Windows Server 2008 R2 TechCenter (http://go.microsoft.com/fwlink/?LinkId=143108).

Additional references

  • Configuring an Environment to Support RemoteApp and Desktop Connection

  • Accessing RemoteApp and Desktop Connection


About Virtual Desktop Pools

You can group identically configured virtual machines that are hosted on Remote Desktop Virtualization Host (RD Virtualization Host) servers into a virtual desktop pool and make that virtual desktop pool available to users through RemoteApp and Desktop Connection. Because the virtual machines are identically configured, the user sees the same virtual desktop, regardless of which virtual machine in the virtual desktop pool the user connects to.

The following are important considerations about a virtual desktop pool:

  • The virtual machines in a virtual desktop pool should be identically configured, including which programs are installed.

  • A virtual machine can be a member of only one virtual desktop pool at a time.

    Important

    A virtual machine should not be both a member of a virtual desktop pool and assigned to a user as a personal virtual desktop.

  • A virtual desktop pool is not specifically assigned to a user. Multiple users can use the same virtual desktop pool.

  • Only one user can use a virtual machine in a virtual desktop pool at a time.

  • You can make multiple virtual desktop pools available through RemoteApp and Desktop Connection. The user sees a different icon for each virtual desktop pool.

  • Users should not save files on a virtual machine that is in a virtual desktop pool. If a user logs off from a virtual machine in a virtual desktop pool, the next time that the user logs on to the virtual desktop pool, the user might be connected to a different virtual machine in the virtual desktop pool.

    Notes
    • If a user disconnects from a virtual machine in a virtual desktop pool, when the user reconnects to the virtual desktop pool, the user will be connected to the same virtual machine.
    • A virtual machine in a virtual desktop pool can be configured to be automatically restored to its original state after the user logs off. Any changes that a user made while logged on are undone. For more information, see http://go.microsoft.com/fwlink/?LinkId=143453.

Additional references

  • Configuring a Virtual Desktop Pool for RemoteApp and Desktop Connection

  • About Personal Virtual Desktops

  • Overview of RemoteApp and Desktop Connection

  • About Virtual Machine Assignments


About Personal Virtual Desktops

A specific virtual machine that is hosted on a Remote Desktop Virtualization Host (RD Virtualization Host) server can be assigned to a user in Active Directory Domain Services (AD DS) to use as a personal virtual desktop, which the user can then access by using RemoteApp and Desktop Connection.

The following are important considerations about assigning a personal virtual desktop to a user in AD DS:

  • The user and the virtual machine must both be members of an Active Directory domain.

  • A user can be assigned only one personal virtual desktop at a time.

  • A virtual machine can be assigned as a personal virtual desktop to only one user at a time.

  • The functional level of your Active Directory domain must be at least Windows Server 2008.

  • The name of the virtual machine in the Hyper-V Manager tool must match the fully qualified domain name (FQDN) of the computer.

To assign a specific virtual machine to a user as a personal virtual desktop, use either of the following:

  • The Assign Personal Virtual Desktop Wizard in the Remote Desktop Connection Manager tool.

  • The Active Directory Users and Computers tool in Windows Server 2008 R2.

Important

A virtual machine should not be both a member of a virtual desktop pool and assigned to a user as a personal virtual desktop.

Additional references

  • Assigning a Personal Virtual Desktop for RemoteApp and Desktop Connection

  • About Virtual Desktop Pools

  • Overview of RemoteApp and Desktop Connection

  • About Virtual Machine Assignments


Checklist: Configuring RemoteApp and Desktop Connection

The following checklists provide tasks for the administrator to complete to make RemoteApp programs and virtual desktops available to users through RemoteApp and Desktop Connection.

Note

Virtual desktops include virtual machines in virtual desktop pools and personal virtual desktops.

In addition to the checklists, the following are important considerations about deploying and accessing RemoteApp and Desktop Connection:

  • To access RemoteApp and Desktop Connection from the Start menu of a client computer, the computer must be running Windows 7.

  • To access RemoteApp and Desktop Connection from a Web browser, the client computer must be using at least Remote Desktop Connection (RDC) 6.1 and at least Internet Explorer 6.

  • To provide users access to RemoteApp and Desktop Connection (either from the Start menu or from a Web browser), you must install and configure the Remote Desktop Web Access (RD Web Access) role service on a computer that is running Windows Server 2008 R2.

  • To provide users access to personal virtual desktops, the functional level of your Active Directory domain must be at least Windows Server 2008.

  • All servers must be members of an Active Directory domain.

Checklist for providing only RemoteApp programs

Use the following checklist if you are providing only RemoteApp programs to users through RemoteApp and Desktop Connection.

Task | Reference
Install and configure a RemoteApp source. | Configuring a RemoteApp Source for RemoteApp and Desktop Connection
Install and configure an RD Connection Broker server. | Configuring an RD Connection Broker Server for RemoteApp and Desktop Connection
Install and configure an RD Web Access server. | Configuring an RD Web Access Server for RemoteApp and Desktop Connection
Make RemoteApp programs from a RemoteApp source available to users. | Add a RemoteApp Source for RemoteApp and Desktop Connection
Specify the name that users see to identify RemoteApp and Desktop Connection. | Configure RemoteApp and Desktop Connection Properties
Specify the RD Web Access servers through which RemoteApp and Desktop Connection is made available to users. | Configure RemoteApp and Desktop Connection Properties
Create a RemoteApp and Desktop Connection configuration file to distribute to users. (Optional) | Create a Client Configuration File for RemoteApp and Desktop Connection

Checklist for providing only virtual desktops

Use the following checklist if you are providing only virtual desktops to users through RemoteApp and Desktop Connection.

Task | Reference
Install and configure an RD Virtualization Host server. | Configuring an RD Virtualization Host Server for RemoteApp and Desktop Connection
Install and configure an RD Connection Broker server. | Configuring an RD Connection Broker Server for RemoteApp and Desktop Connection
Install and configure an RD Session Host server to provide redirection to virtual desktops. | Configuring an RD Session Host Server to Provide Redirection to Virtual Desktops
Install and configure an RD Web Access server. | Configuring an RD Web Access Server for RemoteApp and Desktop Connection
Specify the name that users see to identify RemoteApp and Desktop Connection. | Configure RemoteApp and Desktop Connection Properties
Specify the RD Web Access servers through which RemoteApp and Desktop Connection is made available to users. | Configure RemoteApp and Desktop Connection Properties
Configure RD Connection Broker to use the servers that are required to support virtual desktops. | Configuring Virtual Desktops for RemoteApp and Desktop Connection
Configure redirection settings for virtual desktops. | Configure Redirection Settings for Virtual Desktops
Configure settings for virtual desktops. (For example, RD Gateway settings or RDP settings.) | Configuring Virtual Desktop Settings
Create a virtual desktop pool. | Configuring a Virtual Desktop Pool for RemoteApp and Desktop Connection
Assign a personal virtual desktop to a user. | Assigning a Personal Virtual Desktop for RemoteApp and Desktop Connection
Create a RemoteApp and Desktop Connection configuration file to distribute to users. (Optional) | Create a Client Configuration File for RemoteApp and Desktop Connection

Additional references

  • Overview of RemoteApp and Desktop Connection

  • Configuring an Environment to Support RemoteApp and Desktop Connection

  • Configuring RemoteApp and Desktop Connection

  • Accessing RemoteApp and Desktop Connection

  • About Virtual Desktop Pools

  • About Personal Virtual Desktops


Configuring an Environment to Support RemoteApp and Desktop Connection

This section provides procedures for installing and configuring the servers that are needed for RemoteApp and Desktop Connection. The following topics are covered:

  • Configuring a RemoteApp Source for RemoteApp and Desktop Connection

  • Configuring an RD Virtualization Host Server for RemoteApp and Desktop Connection

  • Configuring an RD Connection Broker Server for RemoteApp and Desktop Connection

  • Configuring an RD Web Access Server for RemoteApp and Desktop Connection

  • Configuring an RD Session Host Server to Provide Redirection to Virtual Desktops

Additional references

  • Checklist: Configuring RemoteApp and Desktop Connection

  • Overview of RemoteApp and Desktop Connection


Configuring a RemoteApp Source for RemoteApp and Desktop Connection

A RemoteApp source is an individual Remote Desktop Session Host (RD Session Host) server or a farm of identically configured RD Session Host servers. When you add a RemoteApp source by using the Remote Desktop Connection Manager tool, the RemoteApp programs from that RemoteApp source are available through RemoteApp and Desktop Connection.

Note

The RD Session Host server can be running either Windows Server 2008 R2 or Windows Server 2008.

To configure a server to host RemoteApp programs to be used for RemoteApp and Desktop Connection, do the following:

  • Install the Remote Desktop Session Host Role Service

  • Configure a Remote Desktop Session Host Server to Host RemoteApp Programs

Additional reference

  • Configuring an Environment to Support RemoteApp and Desktop Connection

  • Add a RemoteApp Source for RemoteApp and Desktop Connection


Install the Remote Desktop Session Host Role Service

Use the following procedure to install the Remote Desktop Session Host (RD Session Host) role service.

Important

The installation of the RD Session Host role service requires the computer to be restarted.

Membership in the local Administrators group, or equivalent, on the RD Session Host server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To install the RD Session Host role service

  1. On the server on which you want to install the RD Session Host role service, open Server Manager. To open Server Manager, click Start, point to Administrative Tools, and then click Server Manager.

  2. If the Remote Desktop Services role is not already installed:

    1. Under Roles Summary, click Add Roles.

    2. On the Before You Begin page of the Add Roles Wizard, click Next.

    3. On the Select Server Roles page, select the Remote Desktop Services check box, and then click Next.

    4. On the Remote Desktop Services page, click Next.

    5. On the Select Role Services page, select the Remote Desktop Session Host check box, and then click Next.

    If the Remote Desktop Services role is already installed:

    1. Under Roles Summary, click Remote Desktop Services.

    2. Under Role Services, click Add Role Services.

    3. On the Select Role Services page, select the Remote Desktop Session Host check box, and then click Next.

  3. On the Uninstall and Reinstall Applications for Compatibility page, click Next.

  4. On the Specify Authentication Method for Remote Desktop Session Host page, select the desired authentication method, and then click Next.

    Note

    If client computers that are running Windows XP will use this RD Session Host server, select Do not require Network Level Authentication.

  5. On the Specify Licensing Mode page, select the licensing mode that applies to your Remote Desktop Services environment, and then click Next.

  6. On the Select User Groups Allowed Access To This Remote Desktop Session Host Server page, add any users or groups that you want to add to the Remote Desktop Users group, and then click Next.

  7. On the Configure Client Experience page, select the client experience that you want to provide, and then click Next.

  8. On the Confirm Installation Selections page, verify that the RD Session Host role service will be installed, and then click Install.

  9. On the Installation Progress page, installation progress is noted.

  10. On the Installation Results page, you are prompted to restart the server to finish the installation process. Click Close, and then click Yes to restart the server.

  11. If you are prompted that other programs are still running, do either of the following:

    • To close the programs manually and restart the server later, click Cancel.

    • To automatically close the programs and restart the server, click Force restart, and then click Yes.

  12. After the server restarts and you log on to the computer with the same user account, the remaining steps of the installation finish. When the Installation Results page appears, confirm that installation of the RD Session Host role service succeeded, and then click Close.

Additional references

  • Configure a Remote Desktop Session Host Server to Host RemoteApp Programs

  • Configuring a RemoteApp Source for RemoteApp and Desktop Connection


Configure a Remote Desktop Session Host Server to Host RemoteApp Programs

To configure a Remote Desktop Session Host (RD Session Host) server to host RemoteApp programs, you must do the following:

  • Install programs on the RD Session Host server.

  • Add programs to the RemoteApp Programs list.

  • Ensure that the RemoteApp programs are available through Remote Desktop Web Access (RD Web Access).

For more information about performing these steps, see the RemoteApp Manager Help in Windows Server 2008 R2.

Also, you must do the following on the RD Session Host server that is hosting the RemoteApp programs:

  • Add the users and groups that need to access the RemoteApp programs to the Remote Desktop Users group.

  • Add the computer account for the appropriate Remote Desktop Connection Broker (RD Connection Broker) server to the TS Web Access Computers group.

    Note

    The appropriate RD Connection Broker server is the RD Connection Broker server that is making the RemoteApp programs on the RD Session Host server available to users through RemoteApp and Desktop Connection.

Configure the Remote Desktop Users group

By default, remote connections are enabled after you install the RD Session Host role service. You can use the following procedure to add users and groups that need to access the RemoteApp programs on the RD Session Host server.

Membership in the local Administrators group, or equivalent, on the RD Session Host server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To configure the Remote Desktop Users group

  1. On the RD Session Host server that is hosting the RemoteApp programs, start the System tool. To start the System tool, click Start, click Run, type control system and then click OK.

  2. In the System window, in the left pane, click Remote settings.

  3. In the System Properties dialog box, on the Remote tab, click Select Users, and then click Add.

  4. In the Select Users or Groups dialog box, add the appropriate users and groups. The users and groups that you add are added to the Remote Desktop Users group on the RD Session Host server.

    Note

    Members of the local Administrators group can connect even if they are not listed.

  5. After you have added the appropriate users and groups, click OK to close the Select Users or Groups dialog box, click OK to close the Remote Desktop Users dialog box, and then click OK to close the System Properties dialog box.

Configure the TS Web Access Computers group

You must add the computer account for the appropriate RD Connection Broker server to the TS Web Access Computers group on the RD Session Host server.

Membership in the local Administrators group, or equivalent, on the RD Session Host server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To configure the TS Web Access Computers group

  1. On the RD Session Host server that is hosting the RemoteApp programs, click Start, point to Administrative Tools, and then click Computer Management.

  2. In the left pane, expand Local Users and Groups, and then click Groups.

  3. In the right pane, double-click TS Web Access Computers.

  4. In the TS Web Access Computers Properties dialog box, click Add.

  5. In the Select Users, Computers, Service Accounts, or Groups dialog box, click Object Types.

  6. In the Object Types dialog box, select the Computers check box, and then click OK.

  7. In the Enter the object names to select box, specify the computer account of the appropriate RD Connection Broker server, and then click OK.

  8. Click OK to close the TS Web Access Computers Properties dialog box.

Additional references

  • Install the Remote Desktop Session Host Role Service

  • Configuring a RemoteApp Source for RemoteApp and Desktop Connection


Configuring an RD Virtualization Host Server for RemoteApp and Desktop Connection

To configure a server to host virtual machines to provide virtual desktops to users through RemoteApp and Desktop Connection, you must do the following on a computer that is running Windows Server 2008 R2:

  • Install the Remote Desktop Virtualization Host Role Service

  • Create and Configure Virtual Machines on an RD Virtualization Host Server

Note

A Remote Desktop Virtualization Host (RD Virtualization Host) server is only needed if you plan to provide virtual desktops to users through RemoteApp and Desktop Connection. Virtual desktops include virtual machines in virtual desktop pools and personal virtual desktops.

Additional references

  • About Virtual Desktop Pools

  • About Personal Virtual Desktops

  • Configuring an Environment to Support RemoteApp and Desktop Connection

  • Add an RD Virtualization Host Server for RemoteApp and Desktop Connection


Install the Remote Desktop Virtualization Host Role Service

Use the following procedure to install the Remote Desktop Virtualization Host (RD Virtualization Host) role service.

Important
  • When you install the RD Virtualization Host role service, the Hyper-V role is also installed (if it is not already installed). Therefore, the computer on which you install the RD Virtualization Host role service must meet the hardware requirements for the Hyper-V role. For more information about Hyper-V hardware requirements, see Hardware Considerations.
  • The installation of the RD Virtualization Host role service requires the computer to be restarted.

Membership in the local Administrators group, or equivalent, on the RD Virtualization Host server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To install the RD Virtualization Host role service

  1. On the server on which you want to install the RD Virtualization Host role service, open Server Manager. To open Server Manager, click Start, point to Administrative Tools, and then click Server Manager.

  2. If the Remote Desktop Services role is not already installed:

    1. Under Roles Summary, click Add Roles.

    2. On the Before You Begin page of the Add Roles Wizard, click Next.

    3. On the Select Server Roles page, select the Remote Desktop Services check box.

    4. On the Remote Desktop Services page, click Next.

    5. On the Select Role Services page, select the Remote Desktop Virtualization Host check box.

    If the Remote Desktop Services role is already installed:

    1. Under Roles Summary, click Remote Desktop Services.

    2. Under Role Services, click Add Role Services.

    3. On the Select Role Services page, select the Remote Desktop Virtualization Host check box, and then click Next.

  3. Review the information about adding the required role (Hyper-V), and then click Add Required Role Services.

  4. Click Next.

  5. On the Hyper-V page, click Next.

  6. On the Create Virtual Networks page, click one or more network adapters if you want to make their network connection available to virtual machines, and then click Next.

  7. On the Confirm Installation Selections page, verify that the RD Virtualization Host role service and the Hyper-V role will be installed, and then click Install.

  8. On the Installation Progress page, installation progress is noted.

  9. On the Installation Results page, you are prompted to restart the server to finish the installation process. Click Close, and then click Yes to restart the server.

  10. If you are prompted that other programs are still running, do either of the following:

    • To close the programs manually and restart the server later, click Cancel.

    • To automatically close the programs and restart the server, click Force restart, and then click Yes.

  11. After the server restarts and you log on to the computer with the same user account, the remaining steps of the installation finish. When the Installation Results page appears, confirm that installation of the RD Virtualization Host role service and the Hyper-V role succeeded, and then click Close.

Additional references

  • Create and Configure Virtual Machines on an RD Virtualization Host Server

  • Configuring an RD Virtualization Host Server for RemoteApp and Desktop Connection


Create and Configure Virtual Machines on an RD Virtualization Host Server

To create and configure virtual machines on a Remote Desktop Virtualization Host (RD Virtualization Host) server, use the Hyper-V Manager tool. For more information about creating virtual machines by using the Hyper-V Manager tool, see the Hyper-V Getting Started Guide.

Configure the operating system on the virtual machine

The virtual machines that users access through RemoteApp and Desktop Connection can be running any of the following operating systems: Windows 7, Windows Vista, or Windows XP.

Important

The name of the virtual machine in the Hyper-V Manager tool must match the fully qualified domain name (FQDN) of the computer.

After you have created the virtual machine and installed an operating system, you must configure the operating system of the virtual machine so that it can be used as a virtual desktop in RemoteApp and Desktop Connection. You must do the following:

  • Join the computer to an Active Directory domain.

  • Enable Remote Desktop.

  • Configure the local Remote Desktop Users group. Each user who needs access to the virtual machine must be a member of the local Remote Desktop Users group.

  • Add the computer account for the RD Virtualization Host server to the local Administrators group.

  • Install the latest integration services for Hyper-V. For more information, see the Hyper-V Getting Started Guide. Windows 7 includes the latest integration services for Hyper-V.

  • Configure Windows Firewall to allow an exception for Remote Desktop and Remote Service Management.

  • Set the value for the registry entry AllowRemoteRPC to 1. This registry entry is located in the following subkey: HKEY_LOCAL_MACHINE\System\CurrentControlSet\Control\Terminal Server.

For more information about configuring virtual machines to be used with RemoteApp and Desktop Connection, see http://go.microsoft.com/fwlink/?LinkId=143453.

Additional references

  • Install the Remote Desktop Virtualization Host Role Service

  • Configuring an RD Virtualization Host Server for RemoteApp and Desktop Connection


Configuring an RD Connection Broker Server for RemoteApp and Desktop Connection

To configure resources to make them available to users through RemoteApp and Desktop Connection, you must do the following on a computer that is running Windows Server 2008 R2:

  • Install the Remote Desktop Connection Broker Role Service

  • Configure Security Groups on an RD Connection Broker Server

Additional references

  • Configuring an Environment to Support RemoteApp and Desktop Connection

  • Running Remote Desktop Connection Manager


Install the Remote Desktop Connection Broker Role Service

Use the following procedure to install the Remote Desktop Connection Broker (RD Connection Broker) role service.

Note

The computer on which you install the RD Connection Broker role service must be a member of an Active Directory domain.

Membership in the local Administrators group, or equivalent, on the RD Connection Broker server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To install the RD Connection Broker role service

  1. On the server on which you want to install the RD Connection Broker role service, open Server Manager. To open Server Manager, click Start, point to Administrative Tools, and then click Server Manager.

  2. If the Remote Desktop Services role is not already installed:

    1. Under Roles Summary, click Add Roles.

    2. On the Before You Begin page of the Add Roles Wizard, click Next.

    3. On the Select Server Roles page, select the Remote Desktop Services check box, and then click Next.

    4. On the Remote Desktop Services page, click Next.

    5. On the Select Role Services page, select the Remote Desktop Connection Broker check box, and then click Next.

    If the Remote Desktop Services role is already installed:

    1. Under Roles Summary, click Remote Desktop Services.

    2. Under Role Services, click Add Role Services.

    3. On the Select Role Services page, select the Remote Desktop Connection Broker check box, and then click Next.

  3. On the Confirm Installation Selections page, verify that the RD Connection Broker role service will be installed, and then click Install.

  4. On the Installation Progress page, installation progress is noted.

  5. On the Installation Results page, confirm that installation of the RD Connection Broker role service succeeded, and then click Close.

Additional references

  • Configure Security Groups on an RD Connection Broker Server

  • Configuring an RD Connection Broker Server for RemoteApp and Desktop Connection

  • Running Remote Desktop Connection Manager


Configure Security Groups on an RD Connection Broker Server

You must configure the following two security groups on the Remote Desktop Connection Broker (RD Connection Broker) server:

  • TS Web Access Computers

  • Session Broker Computers

Configure the TS Web Access Computers group

For a Remote Desktop Web Access (RD Web Access) server to display RemoteApp and Desktop Connection from an RD Connection Broker server, the computer account for the RD Web Access server must be a member of the TS Web Access Computers group on the RD Connection Broker server.

You must also add the computer account for the RD Connection Broker server to the TS Web Access Computers group.

Membership in the local Administrators group, or equivalent, on the RD Session Host server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To configure the TS Web Access Computers group

  1. On the RD Connection Broker server, click Start, point to Administrative Tools, and then click Computer Management.

  2. In the left pane, expand Local Users and Groups, and then click Groups.

  3. In the right pane, double-click TS Web Access Computers.

  4. In the TS Web Access Computers Properties dialog box, click Add.

  5. In the Select Users, Computers, Service Accounts, or Groups dialog box, click Object Types.

  6. In the Object Types dialog box, select the Computers check box, and then click OK.

  7. In the Enter the object names to select box, specify the computer accounts of the RD Web Access server and the RD Connection Broker server, and then click OK.

  8. Click OK to close the TS Web Access Computers Properties dialog box.

You can also add the computer account for the RD Web Access server to the TS Web Access Computers group by using the Remote Desktop Connection Manager tool. For more information, see Configure RemoteApp and Desktop Connection Properties.

Configure the Session Broker Computers group

If you have installed and configured a Remote Desktop Session Host (RD Session Host) server to provide redirection to virtual desktops, you must add the computer account for that computer to the local Session Broker Computers group on the RD Connection Broker server. For information about configuring an RD Session Host server for redirection, see Configuring an RD Session Host Server to Provide Redirection to Virtual Desktops.

If you have deployed a load-balanced RD Session Host server farm to provide RemoteApp programs through RemoteApp and Desktop Connection, add the computer account for each RD Session Host server in the load-balanced RD Session Host server farm to the Session Broker Computers group.

Note

The Session Broker Computers group on the RD Connection Broker server must also contain the computer accounts for any Remote Desktop Virtualization Host (RD Virtualization Host) servers that are hosting virtual machines used for RemoteApp and Desktop Connection. The computer account for an RD Virtualization Host server is automatically added to the Session Broker Computers group when you add the RD Virtualization Host server by using the Remote Desktop Connection Manager tool. For more information, see Add an RD Virtualization Host Server for RemoteApp and Desktop Connection.

Membership in the local Administrators group, or equivalent, on the RD Connection Broker server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To configure the Session Broker Computers group

  1. On the RD Connection Broker server, click Start, point to Administrative Tools, and then click Computer Management.

  2. In the left pane, expand Local Users and Groups, and then click Groups.

  3. In the right pane, double-click Session Broker Computers.

  4. In the Session Broker Computers Properties dialog box, click Add.

  5. In the Select Users, Computers, Services Accounts, or Groups dialog box, click Object Types.

  6. Select the Computers check box, and then click OK.

  7. In the Enter the object names to select box, specify the computer account for each RD Session Host server that you want to add, and then click OK.

  8. Click OK to close the Session Broker Computers Properties dialog box.

Additional references

  • Install the Remote Desktop Connection Broker Role Service

  • Configuring an RD Connection Broker Server for RemoteApp and Desktop Connection

  • Running Remote Desktop Connection Manager


Configuring an RD Web Access Server for RemoteApp and Desktop Connection

To provide users access to RemoteApp and Desktop Connection, you must do the following on a computer that is running Windows Server 2008 R2:

  • Install the Remote Desktop Web Access Role Service

  • Configure a Source for RD Web Access

Additional references

  • Configuring an Environment to Support RemoteApp and Desktop Connection

  • Access RemoteApp and Desktop Connection by Using the RD Web Access Web Site


Install the Remote Desktop Web Access Role Service

Install the Remote Desktop Web Access (RD Web Access) role service on the server that you want users to connect to over the Web to access RemoteApp and Desktop Connection. When you install the RD Web Access role service, Microsoft Internet Information Services (IIS) is also installed.

The server where you install RD Web Access acts as the Web server. The server does not need to be a Remote Desktop Session Host (RD Session Host) server or a Remote Desktop Connection Broker (RD Connection Broker) server.

Use the following procedure to install the RD Web Access role service.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To install the RD Web Access role service

  1. On the computer on which you want to install the RD Web Access role service, open Server Manager. To open Server Manager, click Start, point to Administrative Tools, and then click Server Manager.

  2. If the Remote Desktop Services role is not already installed:

    1. Under Roles Summary, click Add Roles.

    2. On the Before You Begin page, click Next.

    3. On the Select Server Roles page, select the Remote Desktop Services check box, and then click Next.

    4. Review the Remote Desktop Services page, and then click Next.

    5. On the Select Role Services page, select the Remote Desktop Web Access check box.

    If the Remote Desktop Services role is already installed:

    1. Under Roles Summary, click Remote Desktop Services.

    2. Under Role Services, click Add Role Services.

    3. On the Select Role Services page, select the Remote Desktop Web Access check box.

  3. Review the information about the required role services, and then click Add Required Role Services.

  4. Click Next.

  5. Review the Web Server (IIS) page, and then click Next.

  6. On the Select Role Services page, where you are prompted to select the role services that you want to install for IIS, click Next.

  7. On the Confirm Installation Selections page, verify that the RD Web Access role service will be installed, and then click Install.

  8. On the Installation Progress page, installation progress is noted.

  9. On the Installation Results page, confirm that installation of the RD Web Access role service succeeded, and then click Close.

After you install the RD Web Access role service, you must also add the computer account for the RD Web Access server to the TS Web Access Computers group on the RD Connection Broker server. For more information, see Configure Security Groups on an RD Connection Broker Server.

Additional references

  • Configure a Source for RD Web Access

  • Configuring an RD Web Access Server for RemoteApp and Desktop Connection


Configure a Source for RD Web Access

To provide users access to RemoteApp and Desktop Connection, you must configure Remote Desktop Web Access (RD Web Access) to specify the source that provides the RemoteApp programs and virtual desktops that are displayed to users. You can configure RD Web Access to use either of the following:

  • A Remote Desktop Connection Broker (RD Connection Broker) server

  • One or more RemoteApp sources

An RD Connection Broker server provides users access to virtual desktops hosted on Remote Desktop Virtualization Host (RD Virtualization Host) servers and to RemoteApp programs hosted on Remote Desktop Session Host (RD Session Host) servers. To configure the RD Connection Broker server, use the Remote Desktop Connection Manager tool.

A RemoteApp source is an individual RD Session Host server or a farm of identically configured RD Session Host servers on which RemoteApp programs have been configured. You can specify multiple RemoteApp sources. To configure RemoteApp programs on an RD Session Host server, use RemoteApp Manager.

Use the following procedure to specify the source that RD Web Access uses for RemoteApp and Desktop Connection.

You must log on by using either the local Administrator account on the RD Web Access server or an account that is a member of the TS Web Access Administrators group on the RD Web Access server to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To specify the source for RemoteApp and Desktop Connection

  1. Connect to the RD Web Access Web site. To do this, use either of the following methods:

    • On the RD Web Access server, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Web Access Configuration.

    • Use Internet Explorer to connect to the RD Web Access Web site. By default, the Web site is located at the following address, where server_name is the fully qualified domain name (FQDN) of the RD Web Access server:

      https://server_name/rdweb

  2. Log on to the Web site by using either the local Administrator account on the RD Web Access server or an account that is a member of the TS Web Access Administrators group on the RD Web Access server.

  3. On the title bar, click Configuration.

    Note

    If you access the RD Web Access Web site by using the Remote Desktop Web Access Configuration option, the page automatically opens to the Configuration page.

  4. Select either An RD Connection Broker server or One or more RemoteApp sources.

    If you select An RD Connection Broker server, in the Source name box, enter the NetBIOS name or the FQDN of the RD Connection Broker server.

    If you select One or more RemoteApp sources, in the Source name box, enter the NetBIOS name or the FQDN of the RemoteApp source. If you are using an RD Session Host server farm as the RemoteApp source, specify the DNS name of the farm. If you are specifying multiple RemoteApp sources, separate each name with a semicolon.

  5. Click OK to save the changes.

If you selected An RD Connection Broker server, you can specify the connection name and connection ID by using the Remote Desktop Connection Manager tool on the RD Connection Broker server. For more information, see Configure RemoteApp and Desktop Connection Properties.

If you selected One or more RemoteApp sources, you must specify a connection name and a connection ID. The connection name is used to identify RemoteApp and Desktop Connection provided by the RD Web Access server to the user. To specify the connection name and connection ID, on the RD Web Access server, open the %windir%\web\RDWeb\App_Data\RDWebAccess.config file in a text editor, such as Notepad.

Additional references

  • Install the Remote Desktop Web Access Role Service

  • Configuring an RD Web Access Server for RemoteApp and Desktop Connection

  • Configuring an RD Virtualization Host Server for RemoteApp and Desktop Connection

  • Configuring a RemoteApp Source for RemoteApp and Desktop Connection


Configuring an RD Session Host Server to Provide Redirection to Virtual Desktops

To provide users access to virtual desktops through RemoteApp and Desktop Connection, you must configure a Remote Desktop Session Host (RD Session Host) server to provide redirection to the virtual desktops. Virtual desktops include virtual machines in virtual desktop pools and personal virtual desktops.

Note

An RD Session Host server configured for redirection is only needed if you plan to provide virtual desktops to users through RemoteApp and Desktop Connection.

To configure an RD Session Host server to provide redirection to virtual desktops, you must do the following on a computer that is running Windows Server 2008 R2:

  • Install the Remote Desktop Session Host Role Service (for Redirection)

  • Configure a Remote Desktop Session Host Server to Provide Redirection

Additional references

  • About Virtual Desktop Pools

  • About Personal Virtual Desktops

  • Configuring an Environment to Support RemoteApp and Desktop Connection


Install the Remote Desktop Session Host Role Service (for Redirection)

The procedure for installing the Remote Desktop Session Host (RD Session Host) role service for an RD Session Host server that provides redirection to virtual desktops is the same procedure as installing the RD Session Host role service for an RD Session Host server that hosts RemoteApp programs, with one exception:

  • When you use Server Manager to install the RD Session Host role service for an RD Session Host server that provides redirection to virtual desktops, during the role service installation, on the Configure Client Experience page, ensure that none of the check boxes are selected.

Also, do not install programs on an RD Session Host server that is configured to provide redirection to virtual desktops. Users cannot access those programs as RemoteApp programs and cannot connect remotely to the desktop of the RD Session Host server.

For the procedure to install the RD Session Host role service, see Install the Remote Desktop Session Host Role Service.

Additional references

  • Configure a Remote Desktop Session Host Server to Provide Redirection

  • Configuring an RD Session Host Server to Provide Redirection to Virtual Desktops


Configure a Remote Desktop Session Host Server to Provide Redirection

Important

Before configuring the Remote Desktop Session Host (RD Session Host) server to provide redirection to virtual desktops, ensure that the computer account for the RD Session Host server is a member of the Session Broker Computers group on the Remote Desktop Connection Broker (RD Connection Broker) server. For more information, see Configure Security Groups on an RD Connection Broker Server.

Use the following procedure to configure an RD Session Host server to provide redirection to virtual desktops through RemoteApp and Desktop Connection.

Membership in the local Administrators group, or equivalent, on the RD Session Host server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To configure the RD Session Host server to provide redirection

  1. On the RD Session Host server, open Remote Desktop Session Host Configuration. To open Remote Desktop Session Host Configuration, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Session Host Configuration.

  2. In the Edit settings area, under RD Connection Broker, double-click Member of farm in RD Connection Broker.

  3. On the RD Connection Broker tab of the Properties dialog box, click Change Settings.

  4. In the RD Connection Broker Settings dialog box, click Virtual machine redirection.

  5. In the RD Connection Broker server name box, type the name of the RD Connection Broker server.

    Note

    The RD Connection Broker server is the server where you installed the RD Connection Broker role service.

  6. Click OK to close the RD Connection Broker Settings dialog box.

  7. A message appears that provides information about the changes that are made when you configure an RD Session Host server to provide virtual machine redirection. The following changes are made to the RD Session Host server:

    • The user logon mode is changed to Allow reconnections, but prevent new logons.

    • All programs are removed from the RemoteApp Programs list in RemoteApp Manager.

    • The Authenticated Users group is added to the Remote Desktop Users group.

    Note

    To connect remotely to administer an RD Session Host server that is configured to provide virtual machine redirection, use mstsc /admin.

  8. Click Yes to make the changes to the RD Session Host server.

  9. Click OK to close the Properties dialog box.

Additional references

  • Install the Remote Desktop Session Host Role Service (for Redirection)

  • Configuring an RD Session Host Server to Provide Redirection to Virtual Desktops

  • Configuring an RD Connection Broker Server for RemoteApp and Desktop Connection


Configuring RemoteApp and Desktop Connection

This section provides procedures to configure RemoteApp and Desktop Connection. The following topics are covered:

  • Running Remote Desktop Connection Manager

  • Configure RemoteApp and Desktop Connection Properties

  • Configuring Virtual Desktops for RemoteApp and Desktop Connection

  • Add an RD Virtualization Host Server for RemoteApp and Desktop Connection

  • Add a RemoteApp Source for RemoteApp and Desktop Connection

  • Configuring a Virtual Desktop Pool for RemoteApp and Desktop Connection

  • Assigning a Personal Virtual Desktop for RemoteApp and Desktop Connection

  • About Virtual Machine Assignments

  • About RemoteApp and Desktop Connection Security

Note

You can also use the Remote Desktop Services module for Windows PowerShell to view and configure some RemoteApp and Desktop Connection settings. For more information about using Windows PowerShell with Remote Desktop Services, see the Remote Desktop Services Technical Reference (http://go.microsoft.com/fwlink/?LinkId=139898).

Additional references

  • Overview of RemoteApp and Desktop Connection

  • Configuring an Environment to Support RemoteApp and Desktop Connection

  • Accessing RemoteApp and Desktop Connection


Running Remote Desktop Connection Manager

The Remote Desktop Connection Manager tool is automatically installed on any computer on which the Remote Desktop Connection Broker (RD Connection Broker) role service has been installed. If you want to use Remote Desktop Connection Manager on another computer that is running Windows Server 2008 R2, you can install Remote Desktop Connection Manager on that computer by using the following procedure.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To install Remote Desktop Connection Manager by using Server Manager

  1. On the computer on which you want to install Remote Desktop Connection Manager, open Server Manager. To open Server Manager, click Start, point to Administrative Tools, and then click Server Manager.

  2. In the left pane, right-click Features, and then click Add Features.

  3. On the Select Features page, expand Remote Server Administration Tools, expand Role Administration Tools, and then expand Remote Desktop Services Tools.

  4. Select the Remote Desktop Connection Broker Tools check box, and then click Next.

  5. On the Confirm Installation Selections page, click Install.

  6. On the Installation Progress page, installation progress is noted.

  7. On the Installation Results page, confirm that installation of the Remote Desktop Connection Broker Tools succeeded, and then click Close.

You can run Remote Desktop Connection Manager from either of the following locations:

  • Start menu

  • Server Manager

Note

Remote Desktop Connection Manager is available in Server Manager only if the Remote Desktop Services role is installed on the computer.

Membership in the local Administrators group, or equivalent, on the RD Connection Broker server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To run Remote Desktop Connection Manager from the Start menu

  • On the RD Connection Broker server, open Remote Desktop Connection Manager. To open Remote Desktop Connection Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Connection Manager.

  • Click Start, click Run, type sbmgr.msc and then press ENTER.
To run Remote Desktop Connection Manager from Server Manager

  1. Click Start, point to Administrative Tools, and then click Server Manager.

  2. In the left pane, expand Roles, expand Remote Desktop Services, and then click Remote Desktop Connection Manager.

Additional references

  • Install the Remote Desktop Connection Broker Role Service

  • Configuring RemoteApp and Desktop Connection


Configure RemoteApp and Desktop Connection Properties

Use the following procedure to configure the following properties of RemoteApp and Desktop Connection:

  • Display name

  • Connection ID

  • Remote Desktop Web Access (RD Web Access) servers

Membership in the local Administrators group, or equivalent, on the RD Connection Broker server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To configure RemoteApp and Desktop Connection properties

  1. On the RD Connection Broker server, open Remote Desktop Connection Manager. To open Remote Desktop Connection Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Connection Manager.

  2. In the left pane, click Remote Desktop Connection Manager: <ServerName>, where <ServerName> is the name of the Remote Desktop Connection Broker (RD Connection Broker) server.

  3. On the Action menu, click Properties.

  4. In the RemoteApp and Desktop Connection Properties dialog box, on the Connection Settings tab, in the Display name box, enter the display name for RemoteApp and Desktop Connection. The display name is used to identify RemoteApp and Desktop Connection resources provided by this RD Connection Broker server to users. For example, the display name appears in the Start menu under All Programs in a folder called RemoteApp and Desktop Connections on a computer running Windows 7 that has been set up to use RemoteApp and Desktop Connection provided by this RD Connection Broker server.

    On the Connection Settings tab, in the Connection ID box, enter a connection ID for RemoteApp and Desktop Connection. A user sees the connection ID when the user runs a RemoteApp program from an RD Web Access Web site that has been configured to provide RemoteApp and Desktop Connection from the RD Connection Broker server.

    Note

    If the user is using a computer that is running Windows 7 to access the RD Web Access Web site, and the user has set up the computer to access RemoteApp and Desktop Connection provided by the RD Connection Broker server, the display name for RemoteApp and Desktop Connection appears, and not the connection ID.

  5. In the RemoteApp and Desktop Connection Properties dialog box, on the RD Web Access tab, in the RD Web Access servers box, ensure that the appropriate RD Web Access servers are listed. The RD Web Access servers listed are the RD Web Access servers that are members of the TS Web Access Computers group on the RD Connection Broker server. RD Web Access servers that are listed can display RemoteApp and Desktop Connection from the RD Connection Broker server. To add an RD Web Access server, enter the name of the RD Web Access server in the Server name box, and then click Add.

Additional references

  • Accessing RemoteApp and Desktop Connection

  • Configuring an RD Web Access Server for RemoteApp and Desktop Connection

  • Configuring RemoteApp and Desktop Connection


Configuring Virtual Desktops for RemoteApp and Desktop Connection

To provide users access to virtual desktops through RemoteApp and Desktop Connection, Remote Desktop Connection Broker (RD Connection Broker) must be correctly configured to use the servers that are required to support virtual desktops. The required servers are the following:

  • Remote Desktop Virtualization Host (RD Virtualization Host) servers that host the virtual machines to be used as virtual desktops.

  • A Remote Desktop Session Host (RD Session Host) server configured to provide redirection to the virtual desktops.

  • A Remote Desktop Web Access (RD Web Access) server through which the virtual desktops are made available to users.

Note

Virtual desktops include virtual machines in virtual desktop pools and personal virtual desktops.

In the Remote Desktop Connection Manager tool, you can configure RD Connection Broker to use these servers by doing either of the following:

  • Specifying the servers by using the Configure Virtual Desktops Wizard.

  • Manually specifying the servers by navigating to the appropriate dialog boxes.

Important

Before you run the Configure Virtual Desktops Wizard or manually specify the servers, ensure that these servers have been installed and are available on the network. For more information, see Configuring an Environment to Support RemoteApp and Desktop Connection.

For information about the Configure Virtual Desktops Wizard, see Run the Configure Virtual Desktops Wizard.

For information about manually specifying the servers, see the following topics:

  • Add an RD Virtualization Host Server for RemoteApp and Desktop Connection

  • Configure Redirection Settings for Virtual Desktops

  • Configure RemoteApp and Desktop Connection Properties

For information about other virtual desktop settings, see Configuring Virtual Desktop Settings.

Additional references

  • Configuring RemoteApp and Desktop Connection

  • About Virtual Desktop Pools

  • About Personal Virtual Desktops


Run the Configure Virtual Desktops Wizard

You can use the Configure Virtual Desktops Wizard in the Remote Desktop Connection Manager tool to help you configure Remote Desktop Connection Broker (RD Connection Broker) to use the servers that are needed to provide users access to virtual desktops through RemoteApp and Desktop Connection. Virtual desktops include virtual machines in virtual desktop pools and personal virtual desktops.

The Configure Virtual Desktops Wizard allows you to specify the following servers to be used to support virtual desktops:

  • Remote Desktop Virtualization Host (RD Virtualization Host) servers that host the virtual machines to be used as virtual desktops.

  • A Remote Desktop Session Host (RD Session Host) server configured to provide redirection to the virtual desktops.

  • A Remote Desktop Web Access (RD Web Access) server through which the virtual desktops are made available to users.

Important

Before you run the Configure Virtual Desktops Wizard, ensure that these servers have been installed and are available on the network. For more information, see Configuring an Environment to Support RemoteApp and Desktop Connection.

Use the following procedure to run the Configure Virtual Desktops Wizard.

Membership in the local Administrators group, or equivalent, on the RD Connection Broker server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To run the Configure Virtual Desktops Wizard

  1. On the RD Connection Broker server, open Remote Desktop Connection Manager. To open Remote Desktop Connection Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Connection Manager.

  2. In the left pane, click RD Virtualization Host Servers, and then on the Action menu, click Configure Virtual Desktops.

  3. On the Before You Begin page, review the information, and then click Next.

  4. On the Specify an RD Virtualization Host Server page, add or remove RD Virtualization Host servers, and then click Next.

  5. On the Configure Redirection Settings page, specify the appropriate redirection settings. For more information, see Configure Redirection Settings for Virtual Desktops.

    Important

    By default, the Configure Virtual Desktops Wizard automatically configures the RD Session Host server specified in the Server name box for redirection. If you do not want the RD Session Host server automatically configured, select the Do not automatically configure check box. You then must manually configure the RD Session Host server to provide redirection for virtual desktops. For more information, see Configure a Remote Desktop Session Host Server to Provide Redirection.

  6. After you have specified the appropriate redirection settings, click Next.

  7. On the Specify an RD Web Access Server page, enter the name of the RD Web Access server that displays RemoteApp and Desktop Connection from the RD Connection Broker server to users, and then click Next.

    Note

    If an RD Web Access server has already been specified, you cannot enter a server name on the Specify an RD Web Access Server page. For information about how to manually add other RD Web Access servers, see Configure RemoteApp and Desktop Connection Properties.

  8. On the Confirm Changes page, review your selections, and then click Apply.

  9. On the Summary Information page, review the information, and then decide if you want to begin assigning personal virtual desktops to users. If you want to assign personal virtual desktops, click Finish to start the Assign Personal Virtual Desktop Wizard.

    If you do not want to assign personal virtual desktops at this time, clear the Assign personal virtual desktop check box, and then click Finish. You can run the Assign Personal Virtual Desktop Wizard at a later time.

    For more information about the Assign Personal Virtual Desktop Wizard, see Assign a Personal Virtual Desktop by Using the Assign Personal Virtual Desktop Wizard
Note

If you want to add or remove RD Virtualization Host servers, or if you want to change redirection settings, you can run the Configure Virtual Desktops Wizard again, and make the necessary changes. You can also make these changes manually by navigating to the appropriate dialog boxes in the Remote Desktop Connection Manager tool.

Additional references

  • Add an RD Virtualization Host Server for RemoteApp and Desktop Connection

  • Configure Redirection Settings for Virtual Desktops

  • Configuring Virtual Desktops for RemoteApp and Desktop Connection

  • About Virtual Desktop Pools

  • About Personal Virtual Desktops


Configuring Virtual Desktop Settings

This section provides procedures for configuring settings for virtual desktops in the Remote Desktop Connection Manager tool. Virtual desktops include virtual machines in virtual desktop pools and personal virtual desktops.

The following topics are covered:

  • Configure Redirection Settings for Virtual Desktops

  • Configure Remote Desktop Gateway Settings for Virtual Desktops

  • About Digitally Signing Files for Virtual Desktop Connections

  • Configure Common RDP Settings for Virtual Desktops

  • Configure Custom RDP Settings for Virtual Desktops

Additional references

  • Configuring Virtual Desktops for RemoteApp and Desktop Connection

  • About Virtual Desktop Pools

  • About Personal Virtual Desktops


Configure Redirection Settings for Virtual Desktops

To provide users access to virtual desktops through RemoteApp and Desktop Connection, you must specify a Remote Desktop Session Host (RD Session Host) server to provide redirection to the virtual desktops. Virtual desktops include virtual machines in virtual desktop pools and personal virtual desktops.

For information about configuring an RD Session Host server to provide redirection to virtual desktops, see Configuring an RD Session Host Server to Provide Redirection to Virtual Desktops.

The redirection settings that you configure by using the Remote Desktop Connection Manager tool are used for connections to both virtual desktop pools and personal virtual desktops. You cannot specify different redirection settings for virtual desktop pools and personal virtual desktops.

Use the following procedure to configure the redirection settings for virtual desktops by using the Remote Desktop Connection Manager tool.

Note

You can also configure redirection settings by using the Configure Virtual Desktops Wizard. For more information, see Run the Configure Virtual Desktops Wizard.

Membership in the local Administrators group, or equivalent, on the RD Connection Broker server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To configure redirection settings

  1. On the RD Connection Broker server, open Remote Desktop Connection Manager. To open Remote Desktop Connection Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Connection Manager.

  2. In the left pane, click RD Virtualization Host Servers, and then on the Action menu, click Properties.

  3. In the Virtual Desktops Properties dialog box, on the Redirection Settings tab, in the Server name box, enter the NetBIOS name or the fully qualified domain name (FQDN) of the RD Session Host server that is configured to provide redirection.

  4. To provide redirection for clients that are using Remote Desktop Connection (RDC) 6.1 or earlier, select the Enable redirection for earlier RDC versions check box, and then enter an alternative server name in the Alternative server name box. For information about alternative server names, see Configure an Alternative Server Name for Redirection.

  5. When you are finished, click OK to close the Virtual Desktops Properties dialog box.

Additional references

  • Configuring Virtual Desktop Settings

  • About Virtual Desktop Pools

  • About Personal Virtual Desktops


Configure an Alternative Server Name for Redirection

To provide redirection to virtual desktops for clients that are using Remote Desktop Connection (RDC) 6.1 or earlier, you must specify an alternative server name on the Redirection Settings tab in the Virtual Desktops Properties dialog box in the Remote Desktop Connection Manager tool. For information about configuring redirection settings for virtual desktops, see Configure Redirection Settings for Virtual Desktops.

To configure an alternative server name, you must create a DNS host resource record for the alternative server name that maps the alternative server name to the IP address of the Remote Desktop Session Host (RD Session Host) server that is configured to provide redirection to virtual desktops.

Important

The alternative server name that you choose is arbitrary. However, ensure that the name you select for the alternative server name is not a name that is already used by any other network resource in your environment or that is already registered in DNS.

The following procedure provides the steps to configure DNS on a Windows Server 2008 R2-based domain controller.

You must be a member of the Domain Admins, Enterprise Admins, or the DnsAdmins group to complete this procedure.

To add a DNS entry for an alternative server name

  1. Open the DNS snap-in. To open the DNS snap-in, log on to a computer where the DNS snap-in has been installed, click Start, point to Administrative Tools, and then click DNS.

  2. Expand the server name of the DNS server that you want to configure, expand Forward Lookup Zones, and then expand the domain name.

  3. Right-click the appropriate zone, and then click New Host (A or AAAA).

  4. In the Name (uses parent domain name if blank) box, type the alternative server name.

  5. In the IP address box, type the IP address of the RD Session Host server that is configured to provide redirection to virtual desktops.

  6. Click Add Host.

  7. When you are finished, click Done.

Additional references

  • Configuring Virtual Desktop Settings

  • Configuring an RD Session Host Server to Provide Redirection to Virtual Desktops


Configure Remote Desktop Gateway Settings for Virtual Desktops

You can specify whether users connect to virtual desktops by using Remote Desktop Gateway (RD Gateway). These settings are applied when a user connects to a virtual desktop pool or a personal virtual desktop through RemoteApp and Desktop Connection. The RD Gateway settings apply to both virtual desktop pools and personal virtual desktops. You cannot apply different settings to virtual desktop pools and personal virtual desktops.

Note

These settings only apply to virtual desktop connections through RemoteApp and Desktop Connection. To configure RD Gateway settings for RemoteApp programs that are available through RemoteApp and Desktop Connection, use the RemoteApp Manager tool on the Remote Desktop Session Host (RD Session Host) server that is hosting the RemoteApp programs. For more information, see the RemoteApp Manager Help in Windows Server 2008 R2.

Use the following procedure to configure the RD Gateway settings for virtual desktop connections by using the Remote Desktop Connection Manager tool.

Membership in the local Administrators group, or equivalent, on the RD Connection Broker server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To configure RD Gateway settings

  1. On the RD Connection Broker server, open Remote Desktop Connection Manager. To open Remote Desktop Connection Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Connection Manager.

  2. In the left pane, click RD Virtualization Host Servers, and then on the Action menu, click Properties.

  3. In the Virtual Desktops Properties dialog box, on the RD Gateway Settings tab, configure the desired RD Gateway behavior. You can configure whether to automatically detect RD Gateway server settings, to use RD Gateway server settings that you specify, or to not use an RD Gateway server.

    If you select Automatically detect RD Gateway server settings, the client tries to use Group Policy settings to determine the behavior of client connections to RD Gateway.

    If you select Use these RD Gateway server settings, do the following:

    1. Configure the RD Gateway server name and the logon method.

      Important

      The server name must match what is specified in the Secure Sockets Layer (SSL) certificate for the RD Gateway server.

    2. If you want the connection to try to use the same user credentials to access both the RD Gateway server and the virtual desktop, select the Use the same user credentials for RD Gateway and virtual desktops check box. However, users may still receive two prompts for credentials if conflicting credentials exist from any source such as Group Policy settings, and those credentials do not work. They may also receive two prompts for credentials if default credentials are used for the connection and those credentials do not work.

    3. If you want the client computer to automatically detect when RD Gateway is required, select the Bypass RD Gateway server for local addresses check box. (Selecting this option optimizes client performance.)

      To always use an RD Gateway server for client connections, clear the Bypass RD Gateway server for local addresses check box.

  4. When you are finished, click OK to close the Virtual Desktops Properties dialog box.

For more information about RD Gateway, see the Remote Desktop Services page on the Windows Server 2008 R2 TechCenter (http://go.microsoft.com/fwlink/?LinkId=140433).

For more information about Group Policy settings for Remote Desktop Services, see the Remote Desktop Services Technical Reference (http://go.microsoft.com/fwlink/?LinkId=138134).

Additional references

  • Configuring Virtual Desktop Settings

  • About Virtual Desktop Pools

  • About Personal Virtual Desktops


About Digitally Signing Files for Virtual Desktop Connections

You can use a digital signature to sign .rdp files that are used for connections to virtual desktops through RemoteApp and Desktop Connection. This includes the .rdp files that are used for connections to virtual desktop pools and personal virtual desktops.

Important

To connect to a virtual desktop by using a digitally signed .rdp file, the client must be running at least Remote Desktop Client (RDC) 6.1. (The RDC 6.1 client supports Remote Desktop Protocol 6.1.)

If you use a digital certificate, the cryptographic signature on the .rdp file provides verifiable information about your identity as its publisher. This enables clients to recognize your organization as the source of the virtual desktop connection, and allows them to make more informed trust decisions about whether to start the connection. This helps protect against the use of .rdp files that were altered by a malicious user.

You can sign .rdp files that are used for virtual desktop connections by using a Server Authentication certificate [Secure Sockets Layer (SSL) certificate], a Code Signing certificate, or a specially defined Remote Desktop Protocol (RDP) Signing certificate. You can obtain SSL and Code Signing certificates from public certification authorities (CAs), or from an enterprise CA in your public key infrastructure hierarchy. Before you can use an RDP Signing certificate, you must configure a CA in your enterprise to issue RDP Signing certificates.

If you are already using an SSL certificate for connections to a Remote Desktop Session Host (RD Session Host) server or RD Gateway, you can use the same certificate to sign .rdp files. However, if users connect to virtual desktops from public or home computers, you must use either of the following:

  • A certificate from a public CA that participates in the Microsoft Root Certificate Program Members program (http://go.microsoft.com/fwlink/?LinkID=59547).

  • If you are using an enterprise CA, your enterprise CA-issued certificate must be co-signed by a public CA that participates in the Microsoft Root Certification Program Members program.

Use the following procedure to configure the digital certificate with which to sign .rdp files for virtual desktop connections.

Membership in the local Administrators group, or equivalent, on the RD Connection Broker server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To configure the digital certificate to use

  1. On the RD Connection Broker server, open Remote Desktop Connection Manager. To open Remote Desktop Connection Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Connection Manager.

  2. In the left pane, click RD Virtualization Host Servers, and then on the Action menu, click Properties.

  3. In the Virtual Desktops Properties dialog box, on the Digital Signature tab, select the Sign with a digital certificate check box.

  4. In the Digital certificate details box, click Select.

  5. In the Select Certificate dialog box, select the certificate that you want to use, and then click OK.

    Note

    The Select Certificate dialog box is populated by certificates that are located in the local computer's certificates store or in your personal certificate store. The certificate that you want to use must be located in one of these stores.

  6. When you are finished, click OK to close the Virtual Desktops Properties dialog box.

For more information about RemoteApp and Desktop Connection security, see About RemoteApp and Desktop Connection Security.

Using Group Policy settings to control client behavior when opening a digitally signed .rdp file

You can use Group Policy to configure clients to always recognize virtual desktop connections from a particular publisher as trusted. You can also configure whether clients block remote desktop connections from external or unknown sources. By using these policy settings, you can reduce the number and complexity of security decisions that users face. This reduces the chances of inadvertent user actions that may lead to security vulnerabilities.

The relevant Group Policy settings are:

  • Specify SHA1 thumbprints of certificates representing trusted .rdp publishers

  • Allow .rdp files from valid publishers and user’s default .rdp settings

  • Allow .rdp files from unknown publishers

These Group Policy settings are located in Computer Configuration\Policies\Administrative Templates\Windows Components\Remote Desktop Services\Remote Desktop Connection Client and User Configuration\Policies\Administrative Templates\Windows Components\Remote Desktop Services\Remote Desktop Connection Client.

These Group Policy settings can be configured by using either the Local Group Policy Editor or the Group Policy Management Console (GPMC).

For more information about Group Policy settings for Remote Desktop Services, see the Remote Desktop Services Technical Reference (http://go.microsoft.com/fwlink/?LinkId=138134).

Additional references

  • Configuring Virtual Desktop Settings


Configure Common RDP Settings for Virtual Desktops

You can specify common Remote Desktop Protocol (RDP) settings for virtual desktop connections. These settings are applied when a user connects to a virtual desktop pool or a personal virtual desktop through RemoteApp and Desktop Connection. There are separate common RDP settings for virtual desktop pools and personal virtual desktops.

Use the following procedure to configure common RDP settings for virtual desktop connections by using the Remote Desktop Connection Manager tool.

Membership in the local Administrators group, or equivalent, on the RD Connection Broker server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To configure common RDP settings

  1. On the RD Connection Broker server, open Remote Desktop Connection Manager. To open Remote Desktop Connection Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Connection Manager.

  2. In the left pane, expand RD Virtualization Host Servers, and then navigate to the appropriate Properties dialog box.

    • For personal virtual desktops, click Personal Virtual Desktops, and then on the Action menu, click Properties.

    • For a virtual desktop pool, click the name of the virtual desktop pool, and then on the Action menu, click Properties.

  3. On the Common RDP Settings tab, under Devices and resources, select the devices and resources on the client computer that you want to make available in the remote session.

  4. On the Common RDP Settings tab, under Display settings, choose whether to enable font smoothing and the desired color depth. You can also choose whether all available client monitors are used when connecting to the virtual desktop.

  5. When you are finished, click Apply.

    Note

    To configure additional RDP settings, such as audio redirection, click the Custom RDP Settings tab. For more information, see Configure Custom RDP Settings for Virtual Desktops.

  6. To close the Properties dialog box, click OK.

For more information about RDP settings for Remote Desktop Services, see the Remote Desktop Services Technical Reference (http://go.microsoft.com/fwlink/?LinkId=139899).

Additional references

  • Configure Remote Desktop Gateway Settings for Virtual Desktops

  • Configure Personal Virtual Desktops Properties

  • Configure Virtual Desktop Pool Properties

  • Configuring Virtual Desktop Settings


Configure Custom RDP Settings for Virtual Desktops

You can specify custom Remote Desktop Protocol (RDP) settings, such as audio redirection, for virtual desktop connections. These settings are applied when a user connects to a virtual desktop pool or a personal virtual desktop through RemoteApp and Desktop Connection. There are separate custom RDP settings for virtual desktop pools and personal virtual desktops.

Use the following procedure to specify custom RDP settings for virtual desktop connections by using the Remote Desktop Connection Manager tool.

Membership in the local Administrators group, or equivalent, on the RD Connection Broker server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To specify custom RDP settings

  1. On the RD Connection Broker server, open Remote Desktop Connection Manager. To open Remote Desktop Connection Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Connection Manager.

  2. In the left pane, expand RD Virtualization Host Servers, and then navigate to the appropriate Properties dialog box.

    • For personal virtual desktops, click Personal Virtual Desktops, and then on the Action menu, click Properties.

    • For a virtual desktop pool, click the name of the virtual desktop pool, and then on the Action menu, click Properties.

  3. On the Custom RDP Settings tab, type or copy the custom RDP settings that you want to use into the Custom RDP settings box.

    To copy settings from an existing .rdp file, open the file in a text editor such as Notepad, and then copy the desired settings.

    Important

    You cannot override settings that can be configured elsewhere in Remote Desktop Connection Manager. This includes settings such as RD Gateway server settings and common RDP settings. If you do so, you are prompted to remove those settings when you click Apply.

    To create an .rdp file to copy the settings from, follow these steps:

    1. Open the Remote Desktop Connection client, and then click Options.

    2. Configure the settings that you want, such as audio redirection.

    3. When you are finished, on the General tab, click Save As, and then save the .rdp file.

    4. Open the .rdp file in Notepad, and then copy the desired settings into the Custom RDP settings box on the Custom RDP Settings tab.

  4. When you have finished adding the settings that you want, click Apply.

  5. If the Error with Custom RDP Settings dialog box appears, do the following:

    1. Click Remove to automatically remove the settings that are either not valid or cannot be overridden, or click OK to remove the settings manually.

    2. After the settings are removed, click Apply again.

  6. To close the Properties dialog box, click OK.

For more information about RDP settings for Remote Desktop Services, see the Remote Desktop Services Technical Reference (http://go.microsoft.com/fwlink/?LinkId=139899).

Additional references

  • Configure Common RDP Settings for Virtual Desktops

  • Configure Remote Desktop Gateway Settings for Virtual Desktops

  • Configure Personal Virtual Desktops Properties

  • Configure Virtual Desktop Pool Properties

  • Configuring Virtual Desktop Settings


Add an RD Virtualization Host Server for RemoteApp and Desktop Connection

Use the following procedure to add a Remote Desktop Virtualization Host (RD Virtualization Host) server by using the Remote Desktop Connection Manager tool. When you add an RD Virtualization Host server, the virtual machines that are hosted on the RD Virtualization Host server are available to be used for virtual desktop pools and personal virtual desktops in RemoteApp and Desktop Connection.

Note

All virtual machines hosted on the RD Virtualization Host server are shown in the Remote Desktop Connection Manager tool. To exclude a virtual machine from being shown, use the Remote Desktop Services Windows Management Instrumentation (WMI) provider to configure the metadata of the virtual machine. For more information, see http://go.microsoft.com/fwlink/?LinkID=143455.

Membership in the local Administrators group, or equivalent, on the RD Connection Broker server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To add an RD Virtualization Host server

  1. On the RD Connection Broker server, open Remote Desktop Connection Manager. To open Remote Desktop Connection Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Connection Manager.

  2. In the left pane, click RD Virtualization Host Servers, and then on the Action menu, click Add RD Virtualization Host Server.

  3. In the Add RD Virtualization Host Server dialog box, in the RD Virtualization Host server name box, enter the name of the RD Virtualization Host server that is hosting virtual machines, and then click Add.

  4. The server name appears in the center pane, along with information about the number of virtual machines hosted on the RD Virtualization Host server.

    Note

    When you add an RD Virtualization Host server, the computer account for the RD Virtualization Host server is automatically added to the local Session Broker Computers group on the RD Connection Broker server.

  5. To add additional RD Virtualization Host servers, repeat the previous steps.

    To remove an RD Virtualization Host server, click the name of the server, and then on the Action menu, click Remove RD Virtualization Host Server. In the Remove RD Virtualization Host Server dialog box, click Yes.

You can also add an RD Virtualization Host server by using the Configure Virtual Desktops Wizard. For more information, see Run the Configure Virtual Desktops Wizard.

Additional references

  • Configuring an RD Virtualization Host Server for RemoteApp and Desktop Connection

  • About Personal Virtual Desktops

  • About Virtual Desktop Pools

  • Configuring RemoteApp and Desktop Connection


Add a RemoteApp Source for RemoteApp and Desktop Connection

Use the following procedure to add a RemoteApp source in the Remote Desktop Connection Manager tool. When you add a RemoteApp source, the RemoteApp programs from that RemoteApp source are available to users through RemoteApp and Desktop Connection. A RemoteApp source can be an individual Remote Desktop Session Host (RD Session Host) server or a farm of identically configured RD Session Host servers.

Note

The RD Session Host server can be running either Windows Server 2008 R2 or Windows Server 2008.

Membership in the local Administrators group, or equivalent, on the RD Connection Broker server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To add a RemoteApp source

  1. On the RD Connection Broker server, open Remote Desktop Connection Manager. To open Remote Desktop Connection Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Connection Manager.

  2. In the left pane, click RemoteApp Sources, and then on the Action menu, click Add RemoteApp Source.

  3. In the Add RemoteApp Source dialog box, in the RemoteApp source name box, enter the name of the RD Session Host server or the DNS name of the RD Session Host server farm that is hosting the RemoteApp programs, and then click Add.

    Note

    Do not enter the name of each RD Session Host server in the RD Session Host server farm. If you do, users will see multiple instances of the RemoteApp program icons.

  4. The RemoteApp source name appears in the center pane. To add additional RemoteApp sources, repeat the previous steps.

    To remove a RemoteApp source, click the name of the RemoteApp source, and then on the Action menu, click Remove RemoteApp Source. In the Remove RemoteApp Source dialog box, click Yes.

Additional references

  • Configuring a RemoteApp Source for RemoteApp and Desktop Connection

  • Configuring RemoteApp and Desktop Connection


Configuring a Virtual Desktop Pool for RemoteApp and Desktop Connection

You can group identically configured virtual machines into a virtual desktop pool and make that virtual desktop pool available through RemoteApp and Desktop Connection. For more information about virtual desktop pools, see About Virtual Desktop Pools.

This section provides procedures for making virtual desktop pools available to users through RemoteApp and Desktop Connection. The following topics are covered:

  • Create a Virtual Desktop Pool for RemoteApp and Desktop Connection

  • Configure Virtual Desktop Pool Properties

Additional references

  • Configuring RemoteApp and Desktop Connection


Create a Virtual Desktop Pool for RemoteApp and Desktop Connection

Use the following procedure to create a virtual desktop pool by using the Create Virtual Desktop Pool Wizard in the Remote Desktop Connection Manager tool.

Important

Before you run the Create Virtual Desktop Pool Wizard, ensure that a Remote Desktop Virtualization Host (RD Virtualization Host) server that is hosting virtual machines has been added in the Remote Desktop Connection Manager tool. For more information, see Add an RD Virtualization Host Server for RemoteApp and Desktop Connection.

Membership in the local Administrators group, or equivalent, on the RD Connection Broker server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To create a virtual desktop pool

  1. On the RD Connection Broker server, open Remote Desktop Connection Manager. To open Remote Desktop Connection Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Connection Manager.

  2. In the left pane, click RD Virtualization Host Servers, and then on the Action menu, click Create Virtual Desktop Pool.

  3. On the Welcome to the Create Virtual Desktop Pool Wizard page, review the information, and then click Next.

  4. On the Select Virtual Machines page, select the virtual machines that you want to include as part of the virtual desktop pool. To select a virtual machine, click the name of the virtual machine. To select multiple virtual machines, use CTRL+click or SHIFT+click.

  5. After you have selected the virtual machines, click Next.

  6. On the Set Pool Properties page, enter a display name and a pool ID. The display name is seen by users when the virtual desktop pool is displayed in RemoteApp and Desktop Connection. The pool ID is not seen by users.

    Note

    If you are creating a virtual desktop pool on an RD Connection Broker cluster, ensure that the display name and the pool ID are the same on all nodes of the cluster.

    After you enter a display name and a pool ID, click Next.

  7. On the Results page, click Finish.

  8. The virtual desktop pool appears in the left pane under the RD Virtualization Host Servers node.

    Note

    For information about viewing or changing the properties of a virtual desktop pool, see Configure Virtual Desktop Pool Properties.

You can do the following to manage an existing virtual desktop pool:

  • To add a virtual machine to an existing virtual desktop pool, click the name of the virtual desktop pool, and then on the Action menu, click Add Virtual Machines to Pool. In the Add virtual machines dialog box, select the virtual machines that you want to add to the virtual desktop pool, and then click Add.

  • To remove a virtual machine from a virtual desktop pool, click the name of the virtual machine, and then on the Action menu, click Remove Virtual Machine from Pool. In the Remove Virtual Machine dialog box, click Yes to confirm the removal.

  • To delete a virtual desktop pool, click the name of the virtual desktop pool, and then on the Action menu, click Delete Virtual Desktop Pool. In the Delete Virtual Desktop Pool dialog box, click Yes to confirm the deletion.

For information about how to see a list of which virtual machines are members of which virtual desktop pools, see About Virtual Machine Assignments.

Additional references

  • Configuring a Virtual Desktop Pool for RemoteApp and Desktop Connection

  • Accessing RemoteApp and Desktop Connection


Configure Virtual Desktop Pool Properties

Use the following procedure to configure the properties of a virtual desktop pool that are available through RemoteApp and Desktop Connection:

  • Display name

  • Show in RemoteApp and Desktop Connection

  • Automatically save virtual machines

  • Common RDP settings

  • Custom RDP settings

Each virtual desktop pool has its own property settings.

Membership in the local Administrators group, or equivalent, on the RD Connection Broker server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To configure virtual desktop pool properties

  1. On the RD Connection Broker server, open Remote Desktop Connection Manager. To open Remote Desktop Connection Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Connection Manager.

  2. In the left pane, expand RD Virtualization Host Servers, click the name of the virtual desktop pool that you want to configure, and then on the Action menu, click Properties.

  3. In the Properties dialog box, on the General tab, do the following:

    • Ensure that the display name in the Display name box is the name that you want users to see when the icon for the virtual desktop pool appears in RemoteApp and Desktop Connection.

      We recommend that you do not change the pool ID. The pool ID is not seen by users.

      Note

      If the virtual desktop pool is part of an RD Connection Broker cluster, ensure that the display name and the pool ID are the same on all nodes of the cluster.

    • Ensure that the Show in RemoteApp and Desktop Connection check box is selected. If the check box is selected, the user sees an icon for the virtual desktop pool in RemoteApp and Desktop Connection.

    • Select the Automatically save virtual machines check box if you want the virtual machines in the virtual desktop pool to automatically save after a set time if users log off or disconnect. If you select the check box, specify a time (in minutes) in the Wait for box.

  4. In the Properties dialog box, on the Common RDP Settings tab, specify the Remote Desktop Protocol (RDP) settings that are used when clients connect to a virtual machine in the virtual desktop pool. For more information, see Configure Common RDP Settings for Virtual Desktops.

  5. In the Properties dialog box, on the Custom RDP Settings tab, specify any additional RDP settings that are not available on the Common RDP Settings tab. For more information, see Configure Custom RDP Settings for Virtual Desktops.

Additional references

  • Create a Virtual Desktop Pool for RemoteApp and Desktop Connection

  • Configuring a Virtual Desktop Pool for RemoteApp and Desktop Connection

  • Accessing RemoteApp and Desktop Connection


Assigning a Personal Virtual Desktop for RemoteApp and Desktop Connection

You can assign a user in Active Directory Domain Services (AD DS) a specific virtual machine to use as a personal virtual desktop, which the user can then access by using RemoteApp and Desktop Connection. For more information about personal virtual desktops, see About Personal Virtual Desktops.

This section provides procedures for making personal virtual desktops available to users through RemoteApp and Desktop Connection. The following topics are covered:

  • Configure Personal Virtual Desktops Properties

  • Assign a Personal Virtual Desktop by Using Active Directory Users and Computers

  • Assign a Personal Virtual Desktop by Using the Assign Personal Virtual Desktop Wizard

Additional references

  • Configuring RemoteApp and Desktop Connection


Configure Personal Virtual Desktops Properties

Use the following procedure to configure the properties of personal virtual desktops that are available through RemoteApp and Desktop Connection:

  • Show in RemoteApp and Desktop Connection

  • Automatically save virtual machines

  • Common RDP settings

  • Custom RDP settings

Membership in the local Administrators group, or equivalent, on the RD Connection Broker server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To configure personal virtual desktop properties

  1. On the RD Connection Broker server, open Remote Desktop Connection Manager. To open Remote Desktop Connection Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Connection Manager.

  2. In the left pane, expand RD Virtualization Host Servers, click Personal Virtual Desktops, and then on the Action menu, click Properties.

  3. In the Personal Virtual Desktop Properties dialog box, on the General tab, ensure that the Show in RemoteApp and Desktop Connection check box is selected. If the check box is selected, the user sees an icon for a personal virtual desktop in RemoteApp and Desktop Connection, if the user has been assigned a personal virtual desktop.

    On the General tab, select the Automatically save virtual machines check box if you want the virtual machines being used for personal virtual desktops to automatically save after a set time if users log off or disconnect. If you select the check box, specify a time (in minutes) in the Wait for box.

  4. In the Personal Virtual Desktop Properties dialog box, on the Common RDP Settings tab, specify the Remote Desktop Protocol (RDP) settings that are used when clients connect to personal virtual desktops. For more information, see Configure Common RDP Settings for Virtual Desktops.

  5. In the Personal Virtual Desktop Properties dialog box, on the Custom RDP Settings tab, specify any additional RDP settings that are not available on the Common RDP Settings tab. For more information, see Configure Custom RDP Settings for Virtual Desktops.

Additional references

  • Accessing RemoteApp and Desktop Connection

  • Assigning a Personal Virtual Desktop for RemoteApp and Desktop Connection


Assign a Personal Virtual Desktop by Using Active Directory Users and Computers

Use the following procedure to assign a personal virtual desktop to a user by using the Active Directory Users and Computers tool.

Note

You must use the Active Directory Users and Computers tool in Windows Server 2008 R2.

Membership in the Account Operators group, or equivalent, is the minimum required to configure the properties of most domain user accounts. In some cases, membership in the Domain Admins group, or equivalent, is the minimum required. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To assign a personal virtual desktop by using Active Directory Users and Computers

  1. Open Active Directory Users and Computers. To open Active Directory Users and Computers, log on to a computer where Active Directory Users and Computers has been installed (for example, on an Active Directory domain controller), click Start, click Run, type dsa.msc and then click OK.

  2. Locate the user account to which you want to assign a personal virtual desktop.

  3. Right-click the user account, and then click Properties.

  4. On the Personal Virtual Desktop tab, select the Assign a personal virtual desktop to this user check box.

  5. In the Computer Name box, type the fully qualified domain name (FQDN) of the computer to which you want to assign the user. To search for the name of the computer, click Browse, and then click Advanced to use the Select Computer dialog box to find the computer.

    Important

    The name of the virtual machine in the Hyper-V Manager tool must match the FQDN of the computer.

  6. Click OK to save your selections and close the Properties dialog box.

To remove an assignment, clear the Assign a personal virtual desktop to this user check box. You can also use the ADSI Edit tool to clear the value of the msTSPrimaryDesktop attribute in the properties of the user account.

For information about how to see a list of which virtual machines are assigned to which users, see About Virtual Machine Assignments.

Additional references

  • Assign a Personal Virtual Desktop by Using the Assign Personal Virtual Desktop Wizard

  • Configure Personal Virtual Desktops Properties

  • Assigning a Personal Virtual Desktop for RemoteApp and Desktop Connection


Assign a Personal Virtual Desktop by Using the Assign Personal Virtual Desktop Wizard

Use the following procedure to assign a personal virtual desktop to a user by using the Assign Personal Virtual Desktop Wizard in the Remote Desktop Connection Manager tool.

Important

Before you run the Assign Personal Virtual Desktop Wizard, ensure that a Remote Desktop Virtualization Host (RD Virtualization Host) server that is hosting virtual machines has been added in the Remote Desktop Connection Manager tool. For more information, see Add an RD Virtualization Host Server for RemoteApp and Desktop Connection.

Membership in the Account Operators group, or equivalent, is the minimum required to configure the properties of most domain user accounts. In some cases, membership in the Domain Admins group, or equivalent, is the minimum required. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To assign a personal virtual desktop by using the Assign Personal Virtual Desktop Wizard

  1. On the RD Connection Broker server, open Remote Desktop Connection Manager. To open Remote Desktop Connection Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Connection Manager.

  2. In the left pane, expand RD Virtualization Host Servers, and then click Personal Virtual Desktops.

  3. In the center pane, in the Overview section, click Assign a personal virtual desktop. The Assign Personal Virtual Desktop Wizard starts.

  4. On the Assign Personal Virtual Desktop page, click Select User.

  5. In the Select User dialog box, in the Enter the object names to select box, specify the user to which you want to assign a personal virtual desktop, and then click OK.

    Note

    If you select a user who is already assigned a personal virtual desktop, you are prompted if you want to assign a different virtual machine to the user.

  6. In the Virtual machine box, select the virtual machine that you want to assign to the user, and then click Next.

    Note

    If you select a virtual machine that is already assigned to a user, you are prompted if you want to reassign the selected virtual machine to the specified user.

  7. On the Confirm Assignment page, review your selections, and then click Assign.

  8. On the Assignment Summary page, confirm that the assignment succeeded. If you want to assign another virtual machine to another user, click Continue, and you are taken back to the Assign Personal Virtual Desktop page. If you are finished, clear the Assign another virtual machine to another user check box, and then click Finish.
Note

You can also run the Assign Personal Virtual Desktop Wizard at the end of the Configure Virtual Desktops Wizard. For more information, see Run the Configure Virtual Desktops Wizard.

For information about how to see a list of which virtual machines are assigned to which users, see About Virtual Machine Assignments.

Additional references

  • Assign a Personal Virtual Desktop by Using Active Directory Users and Computers

  • Configure Personal Virtual Desktops Properties

  • Assigning a Personal Virtual Desktop for RemoteApp and Desktop Connection


About Virtual Machine Assignments

Virtual machines that are hosted on a Remote Desktop Virtualization Host (RD Virtualization Host) server can be made available to users through RemoteApp and Desktop Connection in either of the following ways:

  • You can assign a user in Active Directory Domain Services a specific virtual machine to use as a personal virtual desktop.

  • You can group identically configured virtual machines into a virtual desktop pool.

Important

A virtual machine should not be both a member of a virtual desktop pool and assigned to a user as a personal virtual desktop.

To see a list of which virtual machines are assigned to users as personal virtual desktops and which virtual machines are members of virtual desktop pools, use the Get-VirtualDesktop cmdlet, which is available in the Remote Desktop Services module for Windows PowerShell. For more information about using Windows PowerShell with Remote Desktop Services, see the Remote Desktop Services Technical Reference (http://go.microsoft.com/fwlink/?LinkId=139898).

Additional references

  • About Personal Virtual Desktops

  • About Virtual Desktop Pools

  • Configuring RemoteApp and Desktop Connection


About RemoteApp and Desktop Connection Security

Certificate Requirements for Using RemoteApp and Desktop Connection on Windows 7

When a user sets up and accesses RemoteApp and Desktop Connection on a computer that is running Windows 7, the computer communicates with the Remote Desktop Web Access (RD Web Access) server. An RD Web Access server that is running Windows Server 2008 R2 is automatically configured to use Secure Sockets Layer (SSL). Therefore, the computer that is running Windows 7 must be configured to trust the certificate used by the RD Web Access server.

Important

An RD Web Access server that is running Windows Server 2008 R2 is automatically configured to use a self-signed certificate. By default, the self-signed certificate is not trusted by Windows 7. Self-signed certificates are recommended only for testing and evaluation purposes.

To allow the Windows 7 computer to communicate with the RD Web Access server, we recommend that you configure the RD Web Access server to use a trusted certificate, such as a certificate issued by a trusted public certification authority (CA). For information about third-party commercial CAs that are trusted by Microsoft, see article 931125 in the Microsoft Knowledge Base (http://go.microsoft.com/fwlink/?LinkID=59547). After you have obtained a trusted certificate for the RD Web Access server, you must import the certificate onto the RD Web Access server, and then use the Internet Information Services (IIS) Manager tool to associate the certificate with the RD Web Access Web site.

For more information about RD Web Access security, see http://go.microsoft.com/fwlink/?LinkId=142242.

Single sign-on for RemoteApp and Desktop Connection

You can configure single sign-on for RemoteApp programs when users access RemoteApp and Desktop Connection from the Start menu on a computer that is running Windows 7 or by using the Web site provided by RD Web Access. After the user has provided the appropriate credentials when prompted by Windows 7 or has logged on to the RD Web Access Web site, the user can run RemoteApp programs without having to provide credentials again within the same RemoteApp and Desktop Connection session.

The following are important considerations when configuring single sign-on for RemoteApp and Desktop Connection:

  • You must sign the .rdp files for the RemoteApp programs with a digital certificate by using the RemoteApp Manager tool. For more information, see the RemoteApp Manager Help in Windows Server 2008 R2.

  • Single sign-on can only be configured for RemoteApp programs. Single sign-on cannot be configured for users accessing remote desktops through RemoteApp and Desktop Connection.

  • To use single sign-on, you must use Remote Desktop Connection (RDC) 7.0, which supports Remote Desktop Protocol (RDP) 7.0. RDC 7.0 is available in Windows 7.

  • All Remote Desktop Session Host (RD Session Host) servers should sign their .rdp files for their RemoteApp programs with the same certificate.

  • The Remote Desktop Connection Broker (RD Connection Broker) server should be configured to use the same certificate that is used by the RD Session Host servers.

For more information about RemoteApp and Desktop Connection security, see http://go.microsoft.com/fwlink/?LinkId=143454

Additional references

  • About Digitally Signing Files for Virtual Desktop Connections

  • Configuring RemoteApp and Desktop Connection


Accessing RemoteApp and Desktop Connection

This section provides procedures for accessing RemoteApp and Desktop Connection. The following topics are covered:

  • Create a Client Configuration File for RemoteApp and Desktop Connection

  • Access RemoteApp and Desktop Connection by using Windows 7

  • Access RemoteApp and Desktop Connection by Using the RD Web Access Web Site

Additional references

  • Overview of RemoteApp and Desktop Connection

  • Configuring an Environment to Support RemoteApp and Desktop Connection

  • Configuring RemoteApp and Desktop Connection


Create a Client Configuration File for RemoteApp and Desktop Connection

To help end users set up RemoteApp and Desktop Connection on a computer that is running Windows 7, you can create a RemoteApp and Desktop Connection configuration file to distribute to end users.

Use the following procedure to create a RemoteApp and Desktop Connection configuration file.

Membership in the local Administrators group, or equivalent, on the RD Connection Broker server that you plan to configure, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To create a configuration file

  1. On the RD Connection Broker server, open Remote Desktop Connection Manager. To open Remote Desktop Connection Manager, click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Connection Manager.

  2. In the left pane, click Remote Desktop Connection Manager: <ServerName>, where <ServerName> is the name of the Remote Desktop Connection Broker (RD Connection Broker) server.

  3. On the Action menu, click Create Configuration File.

  4. In the Create Configuration File dialog box, in the RAD Connection feed URL box, enter the RemoteApp and Desktop Connection URL that specifies the Remote Desktop Web Access (RD Web Access) server that provides RemoteApp and Desktop Connection resources to users. When you specify the URL, use the fully qualified domain name (FQDN) of the RD Web Access server. For example, enter https://server1.contoso.com/RDWeb/Feed/webfeed.aspx.

    Note

    RDWeb is the default virtual directory name used by RD Web Access. If your implementation of RD Web Access uses a different virtual directory name, provide that name in the URL.

  5. Click Save, specify a file name and a folder location, and then click Save.

  6. Distribute the configuration file to the end users.

For information about using the configuration file to set up RemoteApp and Desktop Connection on a computer that is running Windows 7, see Access RemoteApp and Desktop Connection by using Windows 7.

Additional resources

  • Accessing RemoteApp and Desktop Connection


Access RemoteApp and Desktop Connection by using Windows 7

You can set up RemoteApp and Desktop Connection on a computer that is running Windows 7 either by providing a URL or by using a configuration file from the administrator. For more information about creating a configuration file, see Create a Client Configuration File for RemoteApp and Desktop Connection.

Use the following procedures to set up RemoteApp and Desktop Connection on a computer that is running Windows 7. Repeat the procedures for each connection that you want to set up.

Any user account can be used to complete these procedures.

To set up RemoteApp and Desktop Connection by providing a URL

  1. On a computer that is running Windows 7, click Start, and then click Control Panel.

  2. In the search box, type RemoteApp, and then click RemoteApp and Desktop Connections.

  3. Click Set up a new connection with RemoteApp and Desktop Connections.

  4. In the Connection URL box, type the URL for the connection that your administrator provided to you. For example, type https://server1.contoso.com/RDWeb/Feed/webfeed.aspx.

  5. Click Next.

  6. On the Ready to set up the connection page, click Next.

  7. After the connection is successfully set up, note the name of the connection (for example, Contoso), and then click Finish.

  8. Close RemoteApp and Desktop Connections.

  9. To access the connection, click Start, click All Programs, click RemoteApp and Desktop Connections, and then click the name of the connection (for example, Contoso). The programs and remote desktops that are available as part of the connection are listed under the connection name. Click the program or remote desktop that you want to use.
To set up RemoteApp and Desktop Connection by using a configuration file

  1. On a computer that is running Windows 7, double-click the configuration file that your administrator provided to you.

  2. On the Ready to set up the connection page, click Next.

  3. After the connection is successfully set up, note the name of the connection (for example, Contoso), and then click Finish.

  4. To access the connection, click Start, click All Programs, click RemoteApp and Desktop Connections, and then click the name of the connection (for example, Contoso). The programs and remote desktops that are available as part of the connection are listed under the connection name. Click the program or remote desktop that you want to use.

Additional references

  • Access RemoteApp and Desktop Connection by Using the RD Web Access Web Site

  • Accessing RemoteApp and Desktop Connection


Access RemoteApp and Desktop Connection by Using the RD Web Access Web Site

Users can access RemoteApp and Desktop Connection from a Web browser by connecting to a Remote Desktop Web Access (RD Web Access) Web site. To access RemoteApp and Desktop Connection from a Web browser, the client must be using at least Remote Desktop Connection (RDC) 6.1 and at least Internet Explorer 6.

By default, you can access an RD Web Access Web site at https://servername/rdweb, where server_name is the fully qualified domain name (FQDN) of the Web server where you installed RD Web Access.

After the user connects to an RD Web Access Web site and provides the appropriate credentials, the user sees the resources available through RemoteApp and Desktop Connection, which can include any or all of the following:

  • RemoteApp programs and desktop icons from RemoteApp sources, if RemoteApp sources have been specified in the Remote Desktop Connection Manager tool.

  • An icon that represents a personal virtual desktop, if the user has been assigned a personal virtual desktop. For more information about personal virtual desktops, see About Personal Virtual Desktops.

  • An icon that represents a virtual desktop pool, if a virtual desktop pool has been configured in the Remote Desktop Connection Manager tool. There can be multiple icons of this type, each one representing a different virtual desktop pool. For more information about virtual desktop pools, see About Virtual Desktop Pools.

Additional references

  • Access RemoteApp and Desktop Connection by using Windows 7

  • Accessing RemoteApp and Desktop Connection

  • Add a RemoteApp Source for RemoteApp and Desktop Connection